

#include "OLED_I2C.c"

void main() {
// Variable init
// in/output definition pins
// Switch on/off internal modules
// reset port A,B,C,.....

//// Pin Setting for I2C1_Remappable Library /////
//// not need if you are using normal i2c library: I2C1_Start();
//// I2C1_Wr(byte); I2C1_End(); I2C1_Init();

  RB4PPS = 0x19;                  // 00011001 RB4 is I2C SDA1 output
  SSP1DATPPS = 0x0c;              // 00001100 RB4 is I2C SDA1 input
  RB6PPS = 0X18;                  // 00011000 RB6 is I2C SCK1 output
  SSP1CLKPPS = 0x0e;              // 00001110 RB6 is I2C SCK1 input
  Delay_ms(300);
//// END Pin Setting for I2C1_Remappable Library ////

  I2C1_Remappable_Init(400000);
  Delay_ms(300);
  
  while(I2C1_Remappable_Is_Idle()==0);
  Delay_ms(100);

  OLED_Begin();
        OLED_ClearDisplay();

  OLED_DrawText(1,1,"Text",1);
    _color = true;  OLED_DrawPixel(90, 10);
       _color = true;  OLED_DrawCircle(11, 40, 10);
          _color = true;  OLED_DrawRect(80, 30, 20, 10);
            _color = true;  OLED_DrawFastHLine(90,20, 10);
             _color = true;  OLED_DrawFastVLine(90,50, 10);
               _color = true;  OLED_FillTriangle(40,40,70,40,55,25);
  OLED_Display();

  while(1){
   // here all code to repeat
   //
   //
   //
  };  //infinite loop
} // end main